class ReservationGenerator < Rails::Generators::Base
	source_root File.expand_path('../templates', __FILE__)

	argument :model_name, :optional => true, :default => 'reservation'

	def create_reservation_model
		template "model.rb.erb", "app/models/#{model_name}.rb"
	end

	def model_class_name
		@model_name.classify
	end

	def model_name
		model_class_name.underscore
	end
end